package database

import (
	"gorm.io/gorm"
	"netgarden.dev/maf/maf"
)

type Consumer interface {
	maf.Module
	SetDB(db *gorm.DB)
}

type EntitiesProvider interface {
	maf.Module
	GetDBEntities() []interface{}
}
